% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/iSEE-options.R
\docType{data}
\name{iSEEOptions}
\alias{iSEEOptions}
\title{Default panel options}
\format{
An object of class \code{list} of length 4.
}
\usage{
iSEEOptions
}
\description{
Set global options using \code{iSEEOptions$set()}, so that all relevant panels will use these default values during initialization.
}
\details{
See \code{str(iSEEOptions$get())} for a list of default panel options.

Note that \code{iSEEOptions$restore()} can be used to reset the global options to the package default values.
}
\section{Available options}{


\describe{
\item{\code{point.color}}{Default color of data points in \code{DotPlot} panels (character).}
\item{\code{point.size}}{Default size of data points in \code{DotPlot} panels (numeric).}
\item{\code{point.alpha}}{Default alpha level controlling transparency of data points in \code{DotPlot} panels (numeric).}
\item{\code{downsample}}{Enable visual downsampling in \code{DotPlot} panels (logical).}
\item{\code{downsample.resolution}}{Resolution of the visual downsampling, if active (numeric).}
\item{\code{selected.color}}{Color of selected data points in \code{DotPlot} panels (character).}
\item{\code{selected.alpha}}{Alpha level controlling transparency of data points \emph{not} selected in \code{DotPlot} panels (numeric).}
\item{\code{selection.dynamic.single}}{Toggle dynamic single selections for all panels (logical).}
\item{\code{selection.dynamic.multiple}}{Toggle dynamic multiple selections for all panels (logical).}
\item{\code{contour.color}}{Color of the 2d density estimation contour in \code{DotPlot} panels (character).}
\item{\code{font.size}}{Global multiplier controlling the magnification of plot title and text elements in \code{DotPlot} panels (numeric).}
\item{\code{legend.position}}{Position of the legend in \code{DotPlot} and \code{ComplexHeatmapPlot} panels (one of \code{"Bottom"}, \code{"Right"}).}
\item{\code{legend.direction}}{Position of the legend in \code{DotPlot} and \code{ComplexHeatmapPlot} panels (one of \code{"Horizontal"}, \code{"Vertical"}).}
\item{\code{panel.width}}{Default panel grid width (must be between 1 and 12).}
\item{\code{panel.height}}{Default panel height (in pixels).}
\item{\code{panel.color}}{Named character vector of colors.
The names of the vector should be set to the name of class to be overridden; if a class is not named here, its default color is used.
It is highly recommended to define colors as hex color codes (e.g., \code{"#1e90ff"}), for full compatibility with both HTML elements and R plots.}
\item{\code{assay}}{Character vector of assay names to use if available, in order of preference.}
}
}

\examples{
iSEEOptions$get('downsample'); iSEEOptions$get('selected.color')
}
\author{
Kevin Rue-Albrecht
}
\keyword{datasets}
